Home / Redhat-LINUX / Linux KVM / Redhat Enterprise Linux – KVM Installation Part 2

Redhat Enterprise Linux – KVM Installation Part 2

This article will demonstrates that how to install the KVM (kernel-based virtual Machines) packages on Redhat enterprise Linux 7.2 . We must have  “yum repository” to install the KVM packages and it’s dependencies. There are many  GUI tools available to manage the KVM.  VMM (Virtual Machine Manager) is famous GUI tool which was developed by Redhat. The following table provides the KVM package names and key role of each packages. “virt-manager” and “virt-install” can be installed on any of the Linux host to manage the KVM hypervisor hosts.

KVM is a Linux kernel module that allows a user space program access to the hardware virtualization features of Intel and AMD processors. With the helf of  KVM kernel modules, guests  run as ordinary user-space processes. KVM uses QEMU for I/O hardware emulation. QEMU is a user-space emulator that can emulate a variety of guest processors on host processors with decent performance. Using the KVM kernel module allows it to approach native speeds. KVM is managed via the libvirt API and tools. (Example: virsh, virtinstall and virt-clone )

 

Package Name Description
qemu-kvm Provides kvm.ko & kvm_intel kernel Modules . Core part  of the KVM
qemu-kvm-common Various BIOS and Network scripts .
qemu-img Disk image manager on the host Red Hat Enterprise Linux system.
bridge-utils Provides the bridges to pyshcial interfaces and VM interfaces
virt-manager GUI to manage the KVM guests. Allow users to interactive with libvirtd and
kernel to provide the faciltiy to create the virtual guests
virt-install It’s key CLI package. Provides the binaries “virt-install” , “virt-clone”, “virt-image” and “virt-convert”.
libvirt The libvirt package provides the libvirtd daemon that handles the library calls,
manages virtual machines and controls the hypervisor.
libvirt-python The libvirt-python package contains a module that permits applications written in the Python
programming language to use the interface supplied by the libvirt API.
libvirt-client The libvirt-client package provides the client-side APIs and libraries for accessing libvirt servers.
The libvirt-client package includes the virsh command line tool to manage and control virtual
machines and hypervisors from the command line or a special virtualization shell.
libguestfs-tools libguestfs is a set of tools for accessing and modifying virtual machine (VM) disk images. It can access alomost any disk image including Vmware’s VMDK & Hyper-V disk format.

 

1. Check the host processors VT technology. If you don’t find vmx or svm in cpuinfo, verify that Virtualization Technology (VT) is enabled in your server’s BIOS.

[root@UA-HA ~]# grep -E 'svm|vmx' /proc/cpuinfo
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts mmx fxsr sse sse2 ss ht syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology tsc_reliable nonstop_tsc aperfmperf eagerfpu pni pclmulqdq vmx ssse3 fma cx16 pcid sse4_1 sse4_2 x2apic movbe popcnt aes xsave avx f16c rdrand hypervisor lahf_lm ida arat epb pln pts dtherm tpr_shadow vnmi ept vpid fsgsbase smep xsaveopt
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts mmx fxsr sse sse2 ss ht syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology tsc_reliable nonstop_tsc aperfmperf eagerfpu pni pclmulqdq vmx ssse3 fma cx16 pcid sse4_1 sse4_2 x2apic movbe popcnt aes xsave avx f16c rdrand hypervisor lahf_lm ida arat epb pln pts dtherm tpr_shadow vnmi ept vpid fsgsbase smep xsaveopt
[root@UA-HA ~]#

  • vmx is for Intel processors
  • svm is for AMD processors

 

2.Install the KVM and KVM tools. (Ignore if the packages are already installed.)

[root@UA-HA ~]#  yum install qemu-kvm libvirt libvirt-python libguestfs-tools bridge-utils virt-install
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Package 10:qemu-kvm-1.5.3-105.el7.x86_64 already installed and latest version
Package libvirt-python-1.2.17-2.el7.x86_64 already installed and latest version
Package virt-install-1.2.1-8.el7.noarch already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package libguestfs-tools.noarch 1:1.28.1-1.55.el7 will be installed
--> Processing Dependency: libguestfs-tools-c = 1:1.28.1-1.55.el7 for package: 1:libguestfs-tools-1.28.1-1.55.el7.noarch
--> Processing Dependency: perl(Sys::Virt) for package: 1:libguestfs-tools-1.28.1-1.55.el7.noarch
--> Processing Dependency: perl(Locale::TextDomain) for package: 1:libguestfs-tools-1.28.1-1.55.el7.noarch
--> Processing Dependency: perl(Sys::Guestfs) for package: 1:libguestfs-tools-1.28.1-1.55.el7.noarch
---> Package libvirt.x86_64 0:1.2.17-13.el7 will be installed
--> Running transaction check
---> Package libguestfs-tools-c.x86_64 1:1.28.1-1.55.el7 will be installed
--> Processing Dependency: /usr/bin/hexedit for package: 1:libguestfs-tools-c-1.28.1-1.55.el7.x86_64
---> Package perl-Sys-Guestfs.x86_64 1:1.28.1-1.55.el7 will be installed
---> Package perl-Sys-Virt.x86_64 0:1.2.17-2.el7 will be installed
---> Package perl-libintl.x86_64 0:1.20-12.el7 will be installed
--> Running transaction check
---> Package hexedit.x86_64 0:1.2.13-5.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================
 Package                                     Arch                            Version                                      Repository                            Size
=====================================================================================================================================================================
Installing:
 libguestfs-tools                            noarch                          1:1.28.1-1.55.el7                            repo-update                          108 k
 libvirt                                     x86_64                          1.2.17-13.el7                                repo-update                          116 k
Installing for dependencies:
 hexedit                                     x86_64                          1.2.13-5.el7                                 repo-update                           39 k
 libguestfs-tools-c                          x86_64                          1:1.28.1-1.55.el7                            repo-update                          2.2 M
 perl-Sys-Guestfs                            x86_64                          1:1.28.1-1.55.el7                            repo-update                          370 k
 perl-Sys-Virt                               x86_64                          1.2.17-2.el7                                 repo-update                          263 k
 perl-libintl                                x86_64                          1.20-12.el7                                  repo-update                          875 k

Transaction Summary
=====================================================================================================================================================================
Install  2 Packages (+5 Dependent packages)

Total download size: 3.9 M
Installed size: 18 M
Is this ok [y/d/N]: y
Downloading packages:
---------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                 26 MB/s | 3.9 MB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : perl-Sys-Virt-1.2.17-2.el7.x86_64                                                                                                                 1/7
  Installing : perl-libintl-1.20-12.el7.x86_64                                                                                                                   2/7
  Installing : hexedit-1.2.13-5.el7.x86_64                                                                                                                       3/7
  Installing : 1:libguestfs-tools-c-1.28.1-1.55.el7.x86_64                                                                                                       4/7
  Installing : 1:perl-Sys-Guestfs-1.28.1-1.55.el7.x86_64                                                                                                         5/7
  Installing : 1:libguestfs-tools-1.28.1-1.55.el7.noarch                                                                                                         6/7
  Installing : libvirt-1.2.17-13.el7.x86_64                                                                                                                      7/7
  Verifying  : 1:perl-Sys-Guestfs-1.28.1-1.55.el7.x86_64                                                                                                         1/7
  Verifying  : 1:libguestfs-tools-c-1.28.1-1.55.el7.x86_64                                                                                                       2/7
  Verifying  : hexedit-1.2.13-5.el7.x86_64                                                                                                                       3/7
  Verifying  : 1:libguestfs-tools-1.28.1-1.55.el7.noarch                                                                                                         4/7
  Verifying  : perl-libintl-1.20-12.el7.x86_64                                                                                                                   5/7
  Verifying  : perl-Sys-Virt-1.2.17-2.el7.x86_64                                                                                                                 6/7
  Verifying  : libvirt-1.2.17-13.el7.x86_64                                                                                                                      7/7

Installed:
  libguestfs-tools.noarch 1:1.28.1-1.55.el7                                              libvirt.x86_64 0:1.2.17-13.el7

Dependency Installed:
  hexedit.x86_64 0:1.2.13-5.el7       libguestfs-tools-c.x86_64 1:1.28.1-1.55.el7   perl-Sys-Guestfs.x86_64 1:1.28.1-1.55.el7   perl-Sys-Virt.x86_64 0:1.2.17-2.el7
  perl-libintl.x86_64 0:1.20-12.el7

Complete!
[root@UA-HA ~]#

 

2. Enable and start the libvirtd service.

[root@UA-HA ~]#  systemctl enable libvirtd && systemctl start libvirtd
[root@UA-HA ~]# systemctl status libvirtd
● libvirtd.service - Virtualization daemon
   Loaded: loaded (/usr/lib/systemd/system/libvirtd.service; enabled; vendor preset: enabled)
   Active: active (running) since Sun 2015-12-13 13:12:43 EST; 13h ago
     Docs: man:libvirtd(8)
           http://libvirt.org
 Main PID: 1565 (libvirtd)
   CGroup: /system.slice/libvirtd.service
           ├─1565 /usr/sbin/libvirtd
           ├─5307 /sbin/dnsmasq --conf-file=/var/lib/libvirt/dnsmasq/default.conf --leasefile-ro --dhcp-script=/usr/libexec/libvirt_leaseshelper
           └─5309 /sbin/dnsmasq --conf-file=/var/lib/libvirt/dnsmasq/default.conf --leasefile-ro --dhcp-script=/usr/libexec/libvirt_leaseshelper

Dec 13 13:12:45 UA-HA dnsmasq[5307]: compile time options: IPv6 GNU-getopt DBus no-i18n IDN DHCP DHCPv6 no-Lua TFTP no-conntrack ipset auth
Dec 13 13:12:45 UA-HA dnsmasq-dhcp[5307]: DHCP, IP range 192.168.122.2 -- 192.168.122.254, lease time 1h
Dec 13 13:12:45 UA-HA dnsmasq[5307]: reading /etc/resolv.conf
Dec 13 13:12:45 UA-HA dnsmasq[5307]: using nameserver 127.0.0.1#53
Dec 13 13:12:45 UA-HA dnsmasq[5307]: read /etc/hosts - 2 addresses
Dec 13 13:12:45 UA-HA dnsmasq[5307]: read /var/lib/libvirt/dnsmasq/default.addnhosts - 0 addresses
Dec 13 13:12:45 UA-HA dnsmasq-dhcp[5307]: read /var/lib/libvirt/dnsmasq/default.hostsfile
Dec 14 02:46:43 UA-HA libvirtd[1565]: libvirt version: 1.2.17, package: 13.el7 (Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>, 2015-10-08-09:11:06...edhat.com)
Dec 14 02:46:43 UA-HA libvirtd[1565]: End of file while reading data: Input/output error
Dec 14 03:00:13 UA-HA systemd[1]: Started Virtualization daemon.
Hint: Some lines were ellipsized, use -l to show in full.
[root@UA-HA ~]#

 

3.Check the kvm kernel module.

[root@UA-HA ~]# lsmod |grep -i kvm
kvm_intel             162153  0
kvm                   525259  1 kvm_intel
[root@UA-HA ~]#

 

4. virt-Manager provides the GUI to manage the KVM. You can install virt-manager anywhere either on hosts or remote systems. (This is like a vSphere Client in VMware)

[root@UA-HA ~]# yum install virt-manager
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package virt-manager.noarch 0:1.2.1-8.el7 will be installed
--> Processing Dependency: libvirt-glib >= 0.0.9 for package: virt-manager-1.2.1-8.el7.noarch
--> Processing Dependency: dbus-x11 for package: virt-manager-1.2.1-8.el7.noarch
--> Processing Dependency: dconf for package: virt-manager-1.2.1-8.el7.noarch
--> Processing Dependency: gnome-icon-theme for package: virt-manager-1.2.1-8.el7.noarch
--> Processing Dependency: gtk-vnc2 for package: virt-manager-1.2.1-8.el7.noarch
--> Processing Dependency: gtk3 for package: virt-manager-1.2.1-8.el7.noarch
--> Processing Dependency: pygobject3 for package: virt-manager-1.2.1-8.el7.noarch
--> Processing Dependency: spice-gtk3 for package: virt-manager-1.2.1-8.el7.noarch
--> Processing Dependency: vte3 for package: virt-manager-1.2.1-8.el7.noarch
--> Running transaction check
---> Package dbus-x11.x86_64 1:1.6.12-13.el7 will be installed
---> Package dconf.x86_64 0:0.22.0-2.el7 will be installed
---> Package gnome-icon-theme.noarch 0:3.12.0-1.el7 will be installed
---> Package gtk-vnc2.x86_64 0:0.5.2-7.el7 will be installed
--> Processing Dependency: gvnc = 0.5.2-7.el7 for package: gtk-vnc2-0.5.2-7.el7.x86_64
--> Processing Dependency: libcairo-gobject.so.2()(64bit) for package: gtk-vnc2-0.5.2-7.el7.x86_64
--> Processing Dependency: libgvnc-1.0.so.0()(64bit) for package: gtk-vnc2-0.5.2-7.el7.x86_64
---> Package gtk3.x86_64 0:3.14.13-16.el7 will be installed
--> Processing Dependency: adwaita-icon-theme for package: gtk3-3.14.13-16.el7.x86_64
--> Processing Dependency: libatk-bridge-2.0.so.0()(64bit) for package: gtk3-3.14.13-16.el7.x86_64
--> Processing Dependency: libcolord.so.2()(64bit) for package: gtk3-3.14.13-16.el7.x86_64
--> Processing Dependency: libjson-glib-1.0.so.0()(64bit) for package: gtk3-3.14.13-16.el7.x86_64
--> Processing Dependency: librest-0.7.so.0()(64bit) for package: gtk3-3.14.13-16.el7.x86_64
---> Package libvirt-glib.x86_64 0:0.1.9-1.el7 will be installed
---> Package pygobject3.x86_64 0:3.14.0-3.el7 will be installed
--> Processing Dependency: pycairo(x86-64) for package: pygobject3-3.14.0-3.el7.x86_64
---> Package spice-gtk3.x86_64 0:0.26-5.el7 will be installed
--> Processing Dependency: spice-glib(x86-64) = 0.26-5.el7 for package: spice-gtk3-0.26-5.el7.x86_64
--> Processing Dependency: libspice-client-glib-2.0.so.8(SPICEGTK_1)(64bit) for package: spice-gtk3-0.26-5.el7.x86_64
--> Processing Dependency: libcacard.so.0()(64bit) for package: spice-gtk3-0.26-5.el7.x86_64
--> Processing Dependency: libpulse-mainloop-glib.so.0()(64bit) for package: spice-gtk3-0.26-5.el7.x86_64
--> Processing Dependency: libspice-client-glib-2.0.so.8()(64bit) for package: spice-gtk3-0.26-5.el7.x86_64
---> Package vte3.x86_64 0:0.36.4-1.el7 will be installed
--> Processing Dependency: vte-profile for package: vte3-0.36.4-1.el7.x86_64
--> Running transaction check
---> Package adwaita-icon-theme.noarch 0:3.14.1-1.el7 will be installed
--> Processing Dependency: adwaita-cursor-theme = 3.14.1-1.el7 for package: adwaita-icon-theme-3.14.1-1.el7.noarch
---> Package at-spi2-atk.x86_64 0:2.8.1-4.el7 will be installed
--> Processing Dependency: at-spi2-core >= 2.7.5 for package: at-spi2-atk-2.8.1-4.el7.x86_64
--> Processing Dependency: libatspi.so.0()(64bit) for package: at-spi2-atk-2.8.1-4.el7.x86_64
---> Package cairo-gobject.x86_64 0:1.14.2-1.el7 will be installed
---> Package colord-libs.x86_64 0:1.2.7-2.el7 will be installed
--> Processing Dependency: libgusb.so.2()(64bit) for package: colord-libs-1.2.7-2.el7.x86_64
---> Package gvnc.x86_64 0:0.5.2-7.el7 will be installed
---> Package json-glib.x86_64 0:1.0.2-1.el7 will be installed
---> Package libcacard.x86_64 10:1.5.3-105.el7 will be installed
---> Package pulseaudio-libs-glib2.x86_64 0:6.0-7.el7 will be installed
---> Package pycairo.x86_64 0:1.8.10-8.el7 will be installed
---> Package rest.x86_64 0:0.7.92-3.el7 will be installed
---> Package spice-glib.x86_64 0:0.26-5.el7 will be installed
---> Package vte-profile.x86_64 0:0.38.3-2.el7 will be installed
--> Running transaction check
---> Package adwaita-cursor-theme.noarch 0:3.14.1-1.el7 will be installed
---> Package at-spi2-core.x86_64 0:2.8.0-6.el7 will be installed
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi2-core-2.8.0-6.el7.x86_64
---> Package libgusb.x86_64 0:0.1.6-3.el7 will be installed
--> Running transaction check
---> Package libXevie.x86_64 0:1.0.3-7.1.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================
 Package                                        Arch                            Version                                   Repository                            Size
=====================================================================================================================================================================
Installing:
 virt-manager                                   noarch                          1.2.1-8.el7                               repo-update                          628 k
Installing for dependencies:
 adwaita-cursor-theme                           noarch                          3.14.1-1.el7                              repo-update                          128 k
 adwaita-icon-theme                             noarch                          3.14.1-1.el7                              repo-update                           11 M
 at-spi2-atk                                    x86_64                          2.8.1-4.el7                               repo-update                           73 k
 at-spi2-core                                   x86_64                          2.8.0-6.el7                               repo-update                          151 k
 cairo-gobject                                  x86_64                          1.14.2-1.el7                              repo-update                           25 k
 colord-libs                                    x86_64                          1.2.7-2.el7                               repo-update                          174 k
 dbus-x11                                       x86_64                          1:1.6.12-13.el7                           repo-update                           46 k
 dconf                                          x86_64                          0.22.0-2.el7                              repo-update                          157 k
 gnome-icon-theme                               noarch                          3.12.0-1.el7                              repo-update                          9.7 M
 gtk-vnc2                                       x86_64                          0.5.2-7.el7                               repo-update                           38 k
 gtk3                                           x86_64                          3.14.13-16.el7                            repo-update                          3.8 M
 gvnc                                           x86_64                          0.5.2-7.el7                               repo-update                           89 k
 json-glib                                      x86_64                          1.0.2-1.el7                               repo-update                          123 k
 libXevie                                       x86_64                          1.0.3-7.1.el7                             repo-update                           18 k
 libcacard                                      x86_64                          10:1.5.3-105.el7                          repo-update                          227 k
 libgusb                                        x86_64                          0.1.6-3.el7                               repo-update                           33 k
 libvirt-glib                                   x86_64                          0.1.9-1.el7                               repo-update                           84 k
 pulseaudio-libs-glib2                          x86_64                          6.0-7.el7                                 repo-update                           27 k
 pycairo                                        x86_64                          1.8.10-8.el7                              repo-update                          157 k
 pygobject3                                     x86_64                          3.14.0-3.el7                              repo-update                           16 k
 rest                                           x86_64                          0.7.92-3.el7                              repo-update                           62 k
 spice-glib                                     x86_64                          0.26-5.el7                                repo-update                          350 k
 spice-gtk3                                     x86_64                          0.26-5.el7                                repo-update                           51 k
 vte-profile                                    x86_64                          0.38.3-2.el7                              repo-update                          6.0 k
 vte3                                           x86_64                          0.36.4-1.el7                              repo-update                          337 k

Transaction Summary
=====================================================================================================================================================================
Install  1 Package (+25 Dependent packages)

Total download size: 28 M
Installed size: 49 M
Is this ok [y/d/N]: y
Downloading packages:
---------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                 47 MB/s |  28 MB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : cairo-gobject-1.14.2-1.el7.x86_64                                                                                                                1/26
  Installing : 10:libcacard-1.5.3-105.el7.x86_64                                                                                                                2/26
  Installing : pulseaudio-libs-glib2-6.0-7.el7.x86_64                                                                                                           3/26
  Installing : spice-glib-0.26-5.el7.x86_64                                                                                                                     4/26
  Installing : rest-0.7.92-3.el7.x86_64                                                                                                                         5/26
  Installing : vte-profile-0.38.3-2.el7.x86_64                                                                                                                  6/26
  Installing : dconf-0.22.0-2.el7.x86_64                                                                                                                        7/26
  Installing : pycairo-1.8.10-8.el7.x86_64                                                                                                                      8/26
  Installing : pygobject3-3.14.0-3.el7.x86_64                                                                                                                   9/26
  Installing : libgusb-0.1.6-3.el7.x86_64                                                                                                                      10/26
  Installing : colord-libs-1.2.7-2.el7.x86_64                                                                                                                  11/26
  Installing : json-glib-1.0.2-1.el7.x86_64                                                                                                                    12/26
  Installing : libXevie-1.0.3-7.1.el7.x86_64                                                                                                                   13/26
  Installing : at-spi2-core-2.8.0-6.el7.x86_64                                                                                                                 14/26
  Installing : at-spi2-atk-2.8.1-4.el7.x86_64                                                                                                                  15/26
  Installing : 1:dbus-x11-1.6.12-13.el7.x86_64                                                                                                                 16/26
  Installing : adwaita-cursor-theme-3.14.1-1.el7.noarch                                                                                                        17/26
  Installing : adwaita-icon-theme-3.14.1-1.el7.noarch                                                                                                          18/26
  Installing : gtk3-3.14.13-16.el7.x86_64                                                                                                                      19/26
  Installing : spice-gtk3-0.26-5.el7.x86_64                                                                                                                    20/26
  Installing : vte3-0.36.4-1.el7.x86_64                                                                                                                        21/26
  Installing : gvnc-0.5.2-7.el7.x86_64                                                                                                                         22/26
  Installing : gtk-vnc2-0.5.2-7.el7.x86_64                                                                                                                     23/26
  Installing : libvirt-glib-0.1.9-1.el7.x86_64                                                                                                                 24/26
  Installing : gnome-icon-theme-3.12.0-1.el7.noarch                                                                                                            25/26
  Installing : virt-manager-1.2.1-8.el7.noarch                                                                                                                 26/26
  Verifying  : spice-glib-0.26-5.el7.x86_64                                                                                                                     1/26
  Verifying  : gnome-icon-theme-3.12.0-1.el7.noarch                                                                                                             2/26
  Verifying  : spice-gtk3-0.26-5.el7.x86_64                                                                                                                     3/26
  Verifying  : colord-libs-1.2.7-2.el7.x86_64                                                                                                                   4/26
  Verifying  : libvirt-glib-0.1.9-1.el7.x86_64                                                                                                                  5/26
  Verifying  : pulseaudio-libs-glib2-6.0-7.el7.x86_64                                                                                                           6/26
  Verifying  : adwaita-icon-theme-3.14.1-1.el7.noarch                                                                                                           7/26
  Verifying  : gvnc-0.5.2-7.el7.x86_64                                                                                                                          8/26
  Verifying  : adwaita-cursor-theme-3.14.1-1.el7.noarch                                                                                                         9/26
  Verifying  : 1:dbus-x11-1.6.12-13.el7.x86_64                                                                                                                 10/26
  Verifying  : gtk3-3.14.13-16.el7.x86_64                                                                                                                      11/26
  Verifying  : libXevie-1.0.3-7.1.el7.x86_64                                                                                                                   12/26
  Verifying  : json-glib-1.0.2-1.el7.x86_64                                                                                                                    13/26
  Verifying  : virt-manager-1.2.1-8.el7.noarch                                                                                                                 14/26
  Verifying  : libgusb-0.1.6-3.el7.x86_64                                                                                                                      15/26
  Verifying  : at-spi2-core-2.8.0-6.el7.x86_64                                                                                                                 16/26
  Verifying  : pygobject3-3.14.0-3.el7.x86_64                                                                                                                  17/26
  Verifying  : pycairo-1.8.10-8.el7.x86_64                                                                                                                     18/26
  Verifying  : dconf-0.22.0-2.el7.x86_64                                                                                                                       19/26
  Verifying  : vte-profile-0.38.3-2.el7.x86_64                                                                                                                 20/26
  Verifying  : gtk-vnc2-0.5.2-7.el7.x86_64                                                                                                                     21/26
  Verifying  : at-spi2-atk-2.8.1-4.el7.x86_64                                                                                                                  22/26
  Verifying  : cairo-gobject-1.14.2-1.el7.x86_64                                                                                                               23/26
  Verifying  : rest-0.7.92-3.el7.x86_64                                                                                                                        24/26
  Verifying  : 10:libcacard-1.5.3-105.el7.x86_64                                                                                                               25/26
  Verifying  : vte3-0.36.4-1.el7.x86_64                                                                                                                        26/26

Installed:
  virt-manager.noarch 0:1.2.1-8.el7

Dependency Installed:
  adwaita-cursor-theme.noarch 0:3.14.1-1.el7    adwaita-icon-theme.noarch 0:3.14.1-1.el7    at-spi2-atk.x86_64 0:2.8.1-4.el7     at-spi2-core.x86_64 0:2.8.0-6.el7
  cairo-gobject.x86_64 0:1.14.2-1.el7           colord-libs.x86_64 0:1.2.7-2.el7            dbus-x11.x86_64 1:1.6.12-13.el7      dconf.x86_64 0:0.22.0-2.el7
  gnome-icon-theme.noarch 0:3.12.0-1.el7        gtk-vnc2.x86_64 0:0.5.2-7.el7               gtk3.x86_64 0:3.14.13-16.el7         gvnc.x86_64 0:0.5.2-7.el7
  json-glib.x86_64 0:1.0.2-1.el7                libXevie.x86_64 0:1.0.3-7.1.el7             libcacard.x86_64 10:1.5.3-105.el7    libgusb.x86_64 0:0.1.6-3.el7
  libvirt-glib.x86_64 0:0.1.9-1.el7             pulseaudio-libs-glib2.x86_64 0:6.0-7.el7    pycairo.x86_64 0:1.8.10-8.el7        pygobject3.x86_64 0:3.14.0-3.el7
  rest.x86_64 0:0.7.92-3.el7                    spice-glib.x86_64 0:0.26-5.el7              spice-gtk3.x86_64 0:0.26-5.el7       vte-profile.x86_64 0:0.38.3-2.el7
  vte3.x86_64 0:0.36.4-1.el7

Complete!
[root@UA-HA ~]# 


[root@UA-HA ~]#

 

5.Optionally , you can install virt-top to check the resource utilization on the hosts node.

[root@UA-HA ~]# yum install virt-top.x86_64
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package virt-top.x86_64 0:1.0.8-8.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================
 Package                               Arch                                Version                                    Repository                                Size
=====================================================================================================================================================================
Installing:
 virt-top                              x86_64                              1.0.8-8.el7                                repo-update                              400 k

Transaction Summary
=====================================================================================================================================================================
Install  1 Package

Total download size: 400 k
Installed size: 1.4 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : virt-top-1.0.8-8.el7.x86_64                                                                                                                       1/1
  Verifying  : virt-top-1.0.8-8.el7.x86_64                                                                                                                       1/1

Installed:
  virt-top.x86_64 0:1.0.8-8.el7

Complete!
[root@UA-HA ~]#

 

6. Install virt-viewer to view the guest VNC console.

[root@UA-HA ~]# yum install virt-viewer
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package virt-viewer.x86_64 0:2.0-6.el7 will be installed
--> Processing Dependency: libgovirt.so.2(GOVIRT_0.2.0)(64bit) for package: virt-viewer-2.0-6.el7.x86_64
--> Processing Dependency: libgovirt.so.2(GOVIRT_0.2.1)(64bit) for package: virt-viewer-2.0-6.el7.x86_64
--> Processing Dependency: libgovirt.so.2(GOVIRT_0.3.1)(64bit) for package: virt-viewer-2.0-6.el7.x86_64
--> Processing Dependency: libgovirt.so.2()(64bit) for package: virt-viewer-2.0-6.el7.x86_64
--> Running transaction check
---> Package libgovirt.x86_64 0:0.3.3-1.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===========================================================================================================================
 Package                       Arch                     Version                        Repository                     Size
===========================================================================================================================
Installing:
 virt-viewer                   x86_64                   2.0-6.el7                      repo-update                   339 k
Installing for dependencies:
 libgovirt                     x86_64                   0.3.3-1.el7                    repo-update                    63 k

Transaction Summary
===========================================================================================================================
Install  1 Package (+1 Dependent package)

Total download size: 402 k
Installed size: 1.4 M
Is this ok [y/d/N]: y
Downloading packages:
---------------------------------------------------------------------------------------------------------------------------
Total                                                                                      5.4 MB/s | 402 kB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : libgovirt-0.3.3-1.el7.x86_64                                                                            1/2
  Installing : virt-viewer-2.0-6.el7.x86_64                                                                            2/2
  Verifying  : virt-viewer-2.0-6.el7.x86_64                                                                            1/2
  Verifying  : libgovirt-0.3.3-1.el7.x86_64                                                                            2/2

Installed:
  virt-viewer.x86_64 0:2.0-6.el7

Dependency Installed:
  libgovirt.x86_64 0:0.3.3-1.el7

Complete!
[root@UA-HA ~]#

 

Install the VNC packages:

VNC packages are require to provide the console access to the guests.  The following command will install the VNC server and required x11 packages to launch the guest’s console.

[root@UA-HA ~]# yum install vnc*
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package tigervnc.x86_64 0:1.3.1-3.el7 will be installed
--> Processing Dependency: tigervnc-icons for package: tigervnc-1.3.1-3.el7.x86_64
--> Processing Dependency: tigervnc-license for package: tigervnc-1.3.1-3.el7.x86_64
--> Processing Dependency: libfltk.so.1.3()(64bit) for package: tigervnc-1.3.1-3.el7.x86_64
--> Processing Dependency: libfltk_images.so.1.3()(64bit) for package: tigervnc-1.3.1-3.el7.x86_64
---> Package tigervnc-server.x86_64 0:1.3.1-3.el7 will be installed
--> Processing Dependency: tigervnc-server-minimal for package: tigervnc-server-1.3.1-3.el7.x86_64
--> Processing Dependency: xorg-x11-xauth for package: tigervnc-server-1.3.1-3.el7.x86_64
--> Processing Dependency: xorg-x11-xinit for package: tigervnc-server-1.3.1-3.el7.x86_64
--> Running transaction check
---> Package fltk.x86_64 0:1.3.0-13.el7 will be installed
--> Processing Dependency: libGLU.so.1()(64bit) for package: fltk-1.3.0-13.el7.x86_64
---> Package tigervnc-icons.noarch 0:1.3.1-3.el7 will be installed
---> Package tigervnc-license.noarch 0:1.3.1-3.el7 will be installed
---> Package tigervnc-server-minimal.x86_64 0:1.3.1-3.el7 will be installed
--> Processing Dependency: mesa-dri-drivers for package: tigervnc-server-minimal-1.3.1-3.el7.x86_64
--> Processing Dependency: xkeyboard-config for package: tigervnc-server-minimal-1.3.1-3.el7.x86_64
--> Processing Dependency: xorg-x11-xkb-utils for package: tigervnc-server-minimal-1.3.1-3.el7.x86_64
--> Processing Dependency: libXdmcp.so.6()(64bit) for package: tigervnc-server-minimal-1.3.1-3.el7.x86_64
---> Package xorg-x11-xauth.x86_64 1:1.0.9-1.el7 will be installed
--> Processing Dependency: libXmuu.so.1()(64bit) for package: 1:xorg-x11-xauth-1.0.9-1.el7.x86_64
---> Package xorg-x11-xinit.x86_64 0:1.3.4-1.el7 will be installed
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit-1.3.4-1.el7.x86_64
--> Running transaction check
---> Package libXdmcp.x86_64 0:1.1.1-6.1.el7 will be installed
---> Package libXmu.x86_64 0:1.1.2-2.el7 will be installed
---> Package mesa-dri-drivers.x86_64 0:10.6.5-3.20150824.el7 will be installed
--> Processing Dependency: libLLVM-3.6-mesa.so(libLLVM-3.6-mesa.so)(64bit) for package: mesa-dri-drivers-10.6.5-3.20150824.el7.x86_64
--> Processing Dependency: mesa-filesystem(x86-64) for package: mesa-dri-drivers-10.6.5-3.20150824.el7.x86_64
--> Processing Dependency: libLLVM-3.6-mesa.so()(64bit) for package: mesa-dri-drivers-10.6.5-3.20150824.el7.x86_64
---> Package mesa-libGLU.x86_64 0:9.0.0-4.el7 will be installed
---> Package xkeyboard-config.noarch 0:2.14-1.el7 will be installed
---> Package xorg-x11-server-utils.x86_64 0:7.7-14.el7 will be installed
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils-7.7-14.el7.x86_64
---> Package xorg-x11-xkb-utils.x86_64 0:7.7-12.el7 will be installed
--> Processing Dependency: libxkbfile.so.1()(64bit) for package: xorg-x11-xkb-utils-7.7-12.el7.x86_64
--> Running transaction check
---> Package libXxf86misc.x86_64 0:1.0.3-7.1.el7 will be installed
---> Package libxkbfile.x86_64 0:1.0.8-5.el7 will be installed
---> Package mesa-filesystem.x86_64 0:10.6.5-3.20150824.el7 will be installed
---> Package mesa-private-llvm.x86_64 0:3.6.2-2.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================
 Package                                        Arch                          Version                                       Repository                          Size
=====================================================================================================================================================================
Installing:
 tigervnc                                       x86_64                        1.3.1-3.el7                                   repo-update                        210 k
 tigervnc-server                                x86_64                        1.3.1-3.el7                                   repo-update                        202 k
Installing for dependencies:
 fltk                                           x86_64                        1.3.0-13.el7                                  repo-update                        654 k
 libXdmcp                                       x86_64                        1.1.1-6.1.el7                                 repo-update                         32 k
 libXmu                                         x86_64                        1.1.2-2.el7                                   repo-update                         71 k
 libXxf86misc                                   x86_64                        1.0.3-7.1.el7                                 repo-update                         19 k
 libxkbfile                                     x86_64                        1.0.8-5.el7                                   repo-update                         81 k
 mesa-dri-drivers                               x86_64                        10.6.5-3.20150824.el7                         repo-update                        4.6 M
 mesa-filesystem                                x86_64                        10.6.5-3.20150824.el7                         repo-update                         23 k
 mesa-libGLU                                    x86_64                        9.0.0-4.el7                                   repo-update                        196 k
 mesa-private-llvm                              x86_64                        3.6.2-2.el7                                   repo-update                        6.5 M
 tigervnc-icons                                 noarch                        1.3.1-3.el7                                   repo-update                         35 k
 tigervnc-license                               noarch                        1.3.1-3.el7                                   repo-update                         26 k
 tigervnc-server-minimal                        x86_64                        1.3.1-3.el7                                   repo-update                        1.0 M
 xkeyboard-config                               noarch                        2.14-1.el7                                    repo-update                        759 k
 xorg-x11-server-utils                          x86_64                        7.7-14.el7                                    repo-update                        176 k
 xorg-x11-xauth                                 x86_64                        1:1.0.9-1.el7                                 repo-update                         30 k
 xorg-x11-xinit                                 x86_64                        1.3.4-1.el7                                   repo-update                         58 k
 xorg-x11-xkb-utils                             x86_64                        7.7-12.el7                                    repo-update                        103 k

Transaction Summary
=====================================================================================================================================================================
Install  2 Packages (+17 Dependent packages)

Total download size: 15 M
Installed size: 47 M
Is this ok [y/d/N]: y
Downloading packages:
---------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                 39 MB/s |  15 MB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : tigervnc-license-1.3.1-3.el7.noarch                                                                                                              1/19
  Installing : libXmu-1.1.2-2.el7.x86_64                                                                                                                        2/19
  Installing : 1:xorg-x11-xauth-1.0.9-1.el7.x86_64                                                                                                              3/19
  Installing : mesa-libGLU-9.0.0-4.el7.x86_64                                                                                                                   4/19
  Installing : fltk-1.3.0-13.el7.x86_64                                                                                                                         5/19
  Installing : libXdmcp-1.1.1-6.1.el7.x86_64                                                                                                                    6/19
  Installing : libXxf86misc-1.0.3-7.1.el7.x86_64                                                                                                                7/19
  Installing : xorg-x11-server-utils-7.7-14.el7.x86_64                                                                                                          8/19
  Installing : xorg-x11-xinit-1.3.4-1.el7.x86_64                                                                                                                9/19
  Installing : xkeyboard-config-2.14-1.el7.noarch                                                                                                              10/19
  Installing : tigervnc-icons-1.3.1-3.el7.noarch                                                                                                               11/19
  Installing : mesa-private-llvm-3.6.2-2.el7.x86_64                                                                                                            12/19
  Installing : libxkbfile-1.0.8-5.el7.x86_64                                                                                                                   13/19
  Installing : xorg-x11-xkb-utils-7.7-12.el7.x86_64                                                                                                            14/19
  Installing : mesa-filesystem-10.6.5-3.20150824.el7.x86_64                                                                                                    15/19
  Installing : mesa-dri-drivers-10.6.5-3.20150824.el7.x86_64                                                                                                   16/19
  Installing : tigervnc-server-minimal-1.3.1-3.el7.x86_64                                                                                                      17/19
  Installing : tigervnc-server-1.3.1-3.el7.x86_64                                                                                                              18/19
  Installing : tigervnc-1.3.1-3.el7.x86_64                                                                                                                     19/19
  Verifying  : tigervnc-1.3.1-3.el7.x86_64                                                                                                                      1/19
  Verifying  : mesa-filesystem-10.6.5-3.20150824.el7.x86_64                                                                                                     2/19
  Verifying  : libxkbfile-1.0.8-5.el7.x86_64                                                                                                                    3/19
  Verifying  : tigervnc-server-1.3.1-3.el7.x86_64                                                                                                               4/19
  Verifying  : mesa-private-llvm-3.6.2-2.el7.x86_64                                                                                                             5/19
  Verifying  : mesa-dri-drivers-10.6.5-3.20150824.el7.x86_64                                                                                                    6/19
  Verifying  : tigervnc-icons-1.3.1-3.el7.noarch                                                                                                                7/19
  Verifying  : xkeyboard-config-2.14-1.el7.noarch                                                                                                               8/19
  Verifying  : libXxf86misc-1.0.3-7.1.el7.x86_64                                                                                                                9/19
  Verifying  : xorg-x11-xinit-1.3.4-1.el7.x86_64                                                                                                               10/19
  Verifying  : libXmu-1.1.2-2.el7.x86_64                                                                                                                       11/19
  Verifying  : xorg-x11-xkb-utils-7.7-12.el7.x86_64                                                                                                            12/19
  Verifying  : tigervnc-license-1.3.1-3.el7.noarch                                                                                                             13/19
  Verifying  : fltk-1.3.0-13.el7.x86_64                                                                                                                        14/19
  Verifying  : libXdmcp-1.1.1-6.1.el7.x86_64                                                                                                                   15/19
  Verifying  : tigervnc-server-minimal-1.3.1-3.el7.x86_64                                                                                                      16/19
  Verifying  : 1:xorg-x11-xauth-1.0.9-1.el7.x86_64                                                                                                             17/19
  Verifying  : mesa-libGLU-9.0.0-4.el7.x86_64                                                                                                                  18/19
  Verifying  : xorg-x11-server-utils-7.7-14.el7.x86_64                                                                                                         19/19

Installed:
  tigervnc.x86_64 0:1.3.1-3.el7                                                 tigervnc-server.x86_64 0:1.3.1-3.el7

Dependency Installed:
  fltk.x86_64 0:1.3.0-13.el7                              libXdmcp.x86_64 0:1.1.1-6.1.el7                    libXmu.x86_64 0:1.1.2-2.el7
  libXxf86misc.x86_64 0:1.0.3-7.1.el7                     libxkbfile.x86_64 0:1.0.8-5.el7                    mesa-dri-drivers.x86_64 0:10.6.5-3.20150824.el7
  mesa-filesystem.x86_64 0:10.6.5-3.20150824.el7          mesa-libGLU.x86_64 0:9.0.0-4.el7                   mesa-private-llvm.x86_64 0:3.6.2-2.el7
  tigervnc-icons.noarch 0:1.3.1-3.el7                     tigervnc-license.noarch 0:1.3.1-3.el7              tigervnc-server-minimal.x86_64 0:1.3.1-3.el7
  xkeyboard-config.noarch 0:2.14-1.el7                    xorg-x11-server-utils.x86_64 0:7.7-14.el7          xorg-x11-xauth.x86_64 1:1.0.9-1.el7
  xorg-x11-xinit.x86_64 0:1.3.4-1.el7                     xorg-x11-xkb-utils.x86_64 0:7.7-12.el7

Complete!
[root@UA-HA ~]#
[root@UA-HA ~]#
[root@UA-HA ~]#

 

We have successfully installed the kvm packages and supported tools.

Hope this article is informative to you . Share it ! Comment it !! Be Sociable !!!

VMTURBO-CLOUD-CAPACITY

Leave a Reply

Your email address will not be published. Required fields are marked *